PHP 7.1 avvikles – dags å oppgradere

Programmeringskode som viser PHP

1. desember 2019 når PHP-versjon 7.1 End of Life, noe som betyr at versjonen ikke vil bli vedlikeholdt og sikkerhetsoppdaterte av utviklerne. Dette betyr at du som bruker PHP 7.1 i dag må oppgradere til en senere PHP-versjon så snart som mulig slik at nettstedet ditt vil fortsette å fungere, bli sikrere og presterer bedre.

» Guide: Slik oppgraderer du PHP-versjon i Loopia Kundesone

Skal du oppdatere fra PHP 7.1 til 7.2? Se over koden din nå

Utviklerne av PHP har forsøkt å gjøre oppgraderingen mellom forskjellige versjoner så enkel som mulig. Vi anbefaler likevel at du vurderer nettstedets programkode for å sikre at denne fungerer som før. Gjør derfor dette: 

  • Sjekk at du har installert den nyeste versjonen av WordPress/Joomla/OpenCart. Nåværende versjon og informasjon om hvordan du oppdaterer finner du på den respektive leverandørens nettsted. 
  • Pass også på at alle tillegg og temaer er oppdatert og kompatibelt med PHP 7.2, da det ikke alltid skjer automatisk. Hvis tilleggene dine har blitt oppdatert det siste året, bør de være klare for PHP 7.2+, men det gjør ikke noe å dobbeltsjekke med utviklerne av temaet/tillegget. 
  • Les gjennom veiledningene nedenfor og sjekk av slik at nettstedet ditt forberedt for  oppgraderingen til 7.2. Merk at hvis du selv har programmert nettsiden din med mysql _ * -funksjonene, må du bytte dem til mysqli eller PDO. Hvis du har en senere versjon av WordPress/Joomla/OpenCart, bruker du allerede riktige databaseforbindelser.

» Oppgradering fra 7.1 til 7.2
» Oppgradering fra 7.2 til 7.3

Hva er PHP?

PHP står for Hypertext Preprocessor og er et skriptspråk som primært kjører på webservere for å lede nettsteder med dynamisk innhold (for eksempel blogger, nyhetsfeeds, søkemotorer, etc.). I Loopia tilbyr vi PHP på alle UNIX-serverne våre.

Del dette innlegget:

Legg igjen en kommentar

Din e-postadresse vil ikke bli publisert. Obligatoriske felt er merket med *